# Progress output delimiter is `\r`
BEGIN { RS="\r" }
# Ignore lines without a % character
/%/ {
  sub(/%/,"",$2)  # Remove `%` character
  split($4, time, ":")  # Split time `0:01:21`
  remaining=time[1] * 3600 + time[2] * 60 + time[3]  # Convert to seconds
  print "FILETASK {\"timeRemaining\":"remaining",\"progress\":"$2"}"
}
